Name:		websieve
Version:	063a
Release:	0
Summary:	Web based Cyrus IMAP user admin client
Group:		Applications/System
License:	GPL
URL:		http://websieve.sf.net/
Source0:	%{name}-%{version}.tar.gz
Source1:	websieve.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	httpd >= 2.0.0
Requires:	perl-Cyrus >= 2.2.3
BuildArch:	noarch

%description
This cgi module allows full user control of sieve script creation,
as well as acl settings for mailboxes. It also displays the current
available quota. The basic setting is for easy script creation with
no scripting involved. The advanced setting allows direct script
access and editing. Please note that the "basic" mode does not use
all of Sieve's features. If you require more functionality you can
use the "advanced" mode or you can drop me an email if you would like
a particular feature added to "basic" mode.


%prep
%setup -q


%build


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}/

cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/.
cp funclib.cyrus $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}/funclib.pl
cp websieve.conf $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}/.
cp websieve.pl $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}/.
cp auth-ldap.pl $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}/.
cp auth.pl $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}/.
cp auth-pop.pl $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}/.
cp custom.pl $RPM_BUILD_ROOT%{_localstatedir}/www/%{name}/.


%pre


%post


%preun
/sbin/service httpd condrestart > /dev/null


%postun


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc changelog changes.txt COPYRIGHT GPL license.txt README readme.procmail README.ssl ssl_readme.txt
%config %{_sysconfdir}/httpd/conf.d/%{name}.conf
%attr(0755,root,root) %dir %{_localstatedir}/www/%{name}/
%attr(0644,root,root) %config(noreplace) %{_localstatedir}/www/%{name}/websieve.conf
%attr(0755,root,root) %{_localstatedir}/www/%{name}/auth-ldap.pl
%attr(0755,root,root) %{_localstatedir}/www/%{name}/auth.pl
%attr(0755,root,root) %{_localstatedir}/www/%{name}/auth-pop.pl
%attr(0755,root,root) %{_localstatedir}/www/%{name}/custom.pl
%attr(0755,root,root) %{_localstatedir}/www/%{name}/funclib.pl
%attr(0755,root,root) %{_localstatedir}/www/%{name}/websieve.pl


%changelog
* Tue May 3 2005 Petr Kritof <Petr|Kristof_CZ> 063a-5
- Mark websieve.conf as %config(noreplace)

* Sun May 1 2005 Petr Kritof <Petr|Kristof_CZ> 063a-4
- Add more auth*.pl

* Sun Nov 14 2004 Petr Kritof <Petr|Kristof_CZ> 063a-3
- Rebuild on FC-3

* Wed Oct 20 2004 Petr Kritof <Petr|Kristof_CZ> 063a-2
- Enforce SSL connection to web browser

* Mon Oct 18 2004 Petr Kritof <Petr|Kristof_CZ> 063a-1
- Initial build

